
Redmine - Feature #21777

Include tmp/sessions/ folder in repository, please?

2016-01-21 02:04 - Zhao Li

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hi,

Sorry, I'm not sure if this is a feature or defect.

tmp/sessions folder is needed in production and if it's pulled down with the repository, then it would save an extra step later to create

the folder.

Here are the changes to get things working in Git:

https://github.com/redmine/redmine/pull/71

Thanks!

PS: Why not just use Git and Github?  Having to sign up for another account is a bit inconvenient.  But either way, thanks for an

awesome product!

History

#1 - 2016-01-30 15:35 - Toshi MARUYAMA

- Category deleted (Code cleanup/refactoring)

You can make by "rake tmp:create" and I am afraid of side effect.

$ rake tmp:create

mkdir -p tmp/sessions

mkdir -p tmp/cache

mkdir -p tmp/sockets

mkdir -p tmp/pids

mkdir -p tmp/cache/assets/development

mkdir -p tmp/cache/assets/test

mkdir -p tmp/cache/assets/production

#2 - 2016-05-26 03:33 - Zhao Li

- Status changed from New to Resolved

Thanks for letting me know about the rake task.

#3 - 2016-05-26 06:01 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
